# qs/addStream

**POST api/qs/addStream**

Creates a new quote stream, which is required to start quoting. There are two options: specify the taker IDs to receive the stream, or leave it unspecified, making the stream available to all connected counterparties (CPs).

### Request

{% tabs %}
{% tab title="Schema" %}

```json
{
  "streamId": <UUID>,
  "instrument": <string>,
  "takers": <array[Efx::ClientId]>
}
```

{% endtab %}

{% tab title="Example" %}

```json
{
  "streamId": "49e6ded7-a402-4169-b766-05fd430601cf",
  "instrument": "BTC-EUR",
  "takers": [2]
}
```

{% endtab %}
{% endtabs %}

#### Request Fields

| Field      | Type                  | Description                                           |
| ---------- | --------------------- | ----------------------------------------------------- |
| streamId   | UUID                  | Stream ID, optional (generated by FM if not provided) |
| instrument | string                | Instrument name, required                             |
| takers     | array\[Efx::ClientId] | Takers allowed to receive this stream, optional       |

### Response

{% tabs %}
{% tab title="Schema" %}

```json
{
  "streamId": <UUID>,
  "error": <int>
}
```

{% endtab %}

{% tab title="Example" %}

```json
{
  "streamId": "49e6ded7-a402-4169-b766-05fd430601cf"
}
```

{% endtab %}
{% endtabs %}

#### Response Fields

| Field    | Type | Description                                      |
| -------- | ---- | ------------------------------------------------ |
| streamId | UUID | ID of the created stream, required if successful |
| error    | int  | Error code, required if the request failed       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://faq.finerymarkets.com/api-reference/rest-api/qs-stream-management/qs-addstream.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
